.cl-footer {
    &__base-container {
        padding: 42px 1.5rem;
        background-color: $main-green;
        color: $white;
        display: flex;
        flex-direction: column;

        @media (min-width: 1024px) {
            padding: 42px;
            flex-direction: row;
        }
    }

    &__content-container {
        display: flex;
        width: 100%;
        margin: 0 auto;
        flex-direction: column;

        @media (min-width: 1024px) {
            max-width: 1320px;
            flex-direction: row;
        }
    }

    &__media-container {
        width: 100%;
        text-align: center;
        margin-bottom: 40px;

        @media (min-width: 1024px) {
            width: 25%;
            text-align: left;
            margin-right: 10rem;
        }
    }

    &__nav-container {
        flex: 1;

        nav {
            display: grid;
            grid-template-columns: repeat(2, 140px);
            gap: 1.75rem;

            @media (min-width: 1024px) {
                grid-template-columns: repeat(2, minmax(max-content, 20rem));
                gap: 40px;
            }

            a {
                font-size: 0.875rem;

                @media (min-width: 1024px) {
                    font-size: 1rem;
                }

                &:hover {
                    color: $white;
                }
            }
        }
    }

    &__logo-container {
        max-width: 230px;
        display: block;
        margin: 0 auto 1.25rem;

        @media (min-width: 1024px) {
            margin: 0 0 1.25rem 0;
        }
    }

    &__copy-text {
        font-size: 0.65rem;

        @media (min-width: 1024px) {
            font-size: 0.75rem;
        }
    }

    &__social-logo {
        margin-top: 1.25rem;
        display: flex;
        justify-content: space-between;

        @media (min-width: 1024px) {
            justify-content: start;
        }

        a {
            display: flex;
            align-items: center;
            font-size: 2rem;

            &:not(:last-child) {
                margin-right: 1.25rem;
            }
        }
    }
}
